Subject: bug#77727: [PATCH] Limit rust-ts-specific comment-start check to rust-ts (bug#77727)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Apr 2025 16:12:14 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 17 Apr 2025 14:09:54 +0300
> 
> > Rebuilding Emacs produces a new .pdmp file, which the previous binary
> > will not load (because it doesn't fit it).  When you rebuild Emacs,
> > you need to invoke "make install" afterwards, to install the Emacs
> > binary and the auxiliary files, including the new .pdmp file, in the
> > place where Emacs expects to find it.  Did you run "make install"
> > after rebuilding?
> 
> Yes, it's being run as `make DESTDIR="$pkgdir/" install`

What is the value of $pkgdir ?

> Okay, so I just tried doing a `find -type f -name "*.pdmp" -delete`,
> and then rebuilding Emacs (to make sure no pdmp files are stale), then
> assembled/installed package. I see the file ends up is at
> 
> /usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu/emacs-
> e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5.pdmp

When you build Emacs, it shows the fingerprint, like this:

  Dumping under the name emacs.pdmp
  Dumping fingerprint: 189095568e4fae77c858f1c5071e36beaf86dbf632e161df634a1099dc31f876
  Dump complete

Is the fingerprint in your case identical to the name of the .pdmp
file (sans the extension)?

If it is identical, are you sure you are invoking the correct 'emacs'
executable?  How many Emacs executables do you have in the $pkgdir/bin
directory (from where you supposedly invoke Emacs), and what are their
names?

> This is same location as for the "working" Emacs build:

What is the "working" Emacs build, and how is it different from the
one that doesn't work?

> > If you run Emacs from the src directory of the build tree, does it
> > work?
> 
> Yes, if I run it as `./build/src/emacs -Q`, it does work.

Is the contents of the emacs.pdmp file in the source directory
identical to the contents of
/usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu/emacs-e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5.pdmp?